【安全公告:UTSA-2022-000387】-【CVE-2022-1115】

公告编号:作者:USRC发布日期:2022/09/23

【统信安全公告:UTSA-2022-000387】-【CVE-2022-1115】


一、漏洞描述

A heap-buffer-overflow flaw was found in ImageMagick’s PushShortPixel() function of quantum-private.h file. This vulnerability is triggered when an attacker passes a specially crafted TIFF image file to ImageMagick for conversion, potentially leading to a denial of service.

 

二、漏洞信息

漏洞编号:CVE-2022-1115

软件包名:ImageMagick

漏洞评级:中危

CVSS3.1评分:5.5

 

三、受影响UOS版本

服务器1050e、服务器1021e、服务器1020e

 

四、漏洞检测

检测方法如下:

                通过yum info Packagename查看包的版本信息

结果如下:

                版本<6.9.12.43-2.uel20受此漏洞影响,版本>=6.9.12.43-2.uel20此漏洞已修复

 

五、修复建议

                更新源后,使用yum install Packagename安装升级

 

六、修复状态

此漏洞补丁已于2022年9月13日推送至外网仓库源

 

七、修复验证

查看ImageMagick的版本>=6.9.12.43-2.uel20,说明此漏洞已修复

 

八、相关链接

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-1115

https://nvd.nist.gov/vuln/detail/CVE-2022-1115